PGPOOL_ADM_PCP_POOL_STATUS(3)

NAME
pgpool_adm_pcp_pool_status - a function to retrieves parameters in pgpool.conf.

SYNOPSIS

pcp_pool_status returns record(text host, integer port, text username, text password, out item text, out value text, out description text);

pcp_pool_status returns record(text pcp_server, out item text, out value text, out description text);

DESCRIPTION

pcp_pool_status retrieves parameters in pgpool.conf.

ARGUMENTS

pcp_server
    The foreign server name for pcp server.

Other arguments
    See pcp_common_options(1).

EXAMPLE

Here is an example output:

        test=# SELECT * FROM pcp_pool_status('localhost',11001,'t-ishii','t-ishii') WHERE item ~ 'backend.*0';
        item           |                     value                      |          description
        -------------------------+------------------------------------------------+-------------------------------
        backend_hostname0       | /tmp                                           | backend #0 hostname
        backend_port0           | 11002                                          | backend #0 port number
        backend_weight0         | 0.500000                                       | weight of backend #0
        backend_data_directory0 | /home/t-ishii/work/pgpool-II/current/aaa/data0 | data directory for backend #0
        backend_status0         | 2                                              | status of backend #0
        backend_flag0           | ALLOW_TO_FAILOVER                              | backend #0 flag
        (6 rows)